Обновил перевод для плагина Simple:Press forum 3.1.3

Решая недавний мелкий вопрос с форумом (было тут в комментариях), понял что надо переделать кое что в переводе. В итоге исправлено множество ошибок, заменены некорректные выражения и убраны мелкие визуальные баги. В целом стало намного лучше и более правильно по смыслу

Загрузить обновленный (и дополненный до версии 3.1.3) перевод можно как обычно здесь у автора плагина

PS кстати как мне написал автор сегодня — русский перевод самый загружаемый из всех

Связанные записи

44 комментария на запись “Обновил перевод для плагина Simple:Press forum 3.1.3”

  1. Гепард 24 июля 2008 в 17:01

    Большое спасибо за грамотный перевод, а то делал сам с пропмтом — ну и криво, как всегда :)))

  2. Арбен 25 июля 2008 в 14:30

    Закачал я Ваш русификатор, но как было все по английски так и осталось, пробовал файл английского языка даже удалить. Вот мой форум
    Не подскажете что не так?

  3. Lecactus 25 июля 2008 в 15:48

    @ Арбен: 1 вы не туда положили файл, 2 файл скачался криво или криво закачался на сервер, 3 вы сохранили файл с неправильным регистром. в общем вопрос этот бесконечный — в поиск! все решаемо и в 99% случаев виноват сам пользователь

  4. zhivi-strana 25 июля 2008 в 21:40

    У меня та-хе проблема — русификатор не работает!?
    И куда, его надо положить, чтобы он заработал?
    Я положил сюда: D:\WebServers\home\wp.ru\www\wp-content\plugins\simple-forum\languages\

  5. Lecactus 25 июля 2008 в 21:53

    @ zhivi-strana: да все должно быть там.
    напишите как у вас обзывается файл полностью.
    в обычном WP должно быть sforum-ru_RU.mo
    а для WPMU должно быть sforum-ru.mo

  6. zhivi-strana 25 июля 2008 в 22:23

    sforum-ru_RU.mo

  7. zhivi-strana 25 июля 2008 в 22:25

    Всё, спасибо!

  8. Lecactus 25 июля 2008 в 22:28

    @ zhivi-strana: и что было?

  9. zhivi-strana 25 июля 2008 в 22:51

    У меня мульти, я переименовал файл.

  10. zhivi-strana 26 июля 2008 в 1:03

    Новая проблема. В редакторе текст появляется с права.

  11. Lecactus 26 июля 2008 в 1:15

    Новая проблема. В редакторе текст появляется с права.

    вообще это уже не ко мне вопрос, но похоже что это «шаловливые ручки» нажали галку «Использовать редактор справа-налево» на закладке «стиль»

  12. zhivi-strana 26 июля 2008 в 1:19

    Да, действительно :) Это было до русификации. Жал на все кнопки.

  13. zhivi-strana 26 июля 2008 в 1:20

    Спасибо!

  14. Арбен 26 июля 2008 в 15:50

    Я делал все тоже самое что и zhivi-strana но форум так и остался английским

  15. Lecactus 26 июля 2008 в 16:26

    Я делал все тоже самое что и zhivi-strana но форум так и остался английским

    все варианты уже были озвучены. если не можете справиться, могу помочь сам покопаться, но не бесплатно

  16. compas 31 июля 2008 в 2:26

    Поставил данный плагин на WP 2.6.
    Некорректно работают ajax-запросы — возвращают данные не в UTF-8.
    Например, ссылка «Новые сообщения», которая есть у админа форума в верхней панели админа. При нажатии и текст ссылки изменяется, теряя кодировку, и сами новые сообщения в неправильной кодировке.
    Куда можно копать?

  17. Lecactus 31 июля 2008 в 9:16

    Куда можно копать?

    учиться пользоваться поиском
    http://lecactus.ru/wordpress/moj-faq-po-wordpress/

  18. Арбен 3 августа 2008 в 3:46

    А в папке /languages sforum-ru_RU.po тоже должен присутствовать да? а то я скачал с оффсайта и там этого файла не было, а в версии 2.1 с твоего сайта есть такой файл

  19. Lecactus 3 августа 2008 в 10:54

    @ Арбен: не ТОЖЕ, а ТОЛЬКО там
    естественно не было, если посмотреть внимательно, то там страница закачек языков на отдельной странице!
    а версию 2.1 я собирал полностью у себя с русификатором

  20. Арбен 3 августа 2008 в 13:26

    Да я видел что там страница загрузок на отдельной странице. Но там скачивается только файл с расширением «mo», а с расширением «po» где тогда взять? Или я что-то не понимаю?

  21. Lecactus 3 августа 2008 в 15:37

    @ Арбен: PO для работы не нужен. это исходник. пользуйтесь ПОИСКОМ

  22. Денис 2 сентября 2008 в 10:54

    Выложил всё как описано но админка на английском пробовал менять sforum-ru_RU.mo на sforum-ru_ru.mo никаково эфекта

  23. Денис 2 сентября 2008 в 12:55

    Огромное спасибо наконец разобрался

  24. Мария 1 октября 2008 в 20:48

    Пожалуйста подскажите! у меня при запуске форума, выдается:

    Warning: include_once(tinymce/sf-tinyinit.php) [function.include-once]: failed to open stream: No such file or directory in /home/u26754/mir-svadbiru/www/wp-content/plugins/simple-forum/sf-startup.php on line 81

    Warning: include_once() [function.include]: Failed opening ‘tinymce/sf-tinyinit.php’ for inclusion (include_path=’.:/php/includes:/usr/local/lib/php’) in /home/u26754/mir-svadbiru/www/wp-content/plugins/simple-forum/sf-startup.php on line 81

    что это значит? что сделать надо?
    Заранее благодарю за ответ

  25. Lecactus 1 октября 2008 в 21:37

    @Мария: перевожу на русский: не найден файл указанный

  26. Миха 7 октября 2008 в 7:07

    Привет. У меня после подключения плагина форума. в шапке пишет data base erro (ошибка базы данных)r:… ну и там всякая data…много чего то там. Не знаешь что такое?

  27. Мария 7 октября 2008 в 17:57

    @Мария: перевожу на русский: не найден файл указанный

    а где его взять?

  28. Lecactus 7 октября 2008 в 20:50

    @Мария: логика мне подсказывает что из дистрибутива. проверить что все файлы на хостинге соответствуют тем что в архиве

  29. Мария 11 октября 2008 в 20:31

    Спасибо Лекактус! так и было папки нет на сервере, но есть в архиве! загрузила отдельно, теперь форум работает:))
    р.с. создатель предложил только переустановить заново, но это не помогло:))

  30. Наталья 25 октября 2008 в 12:32

    Кактус, установила версию форума, все работает, но руссификатор нет, хотя установила его тоже в папку languages. Спасибо.

  31. Lecactus 25 октября 2008 в 13:10

    @Наталья: поиск рулит и читайте комментарии выше

  32. Наталья 25 октября 2008 в 13:17

    Спасибо, за ответ. Но у тебя поиск уже месяц не работает, после нажатия на найденный файл, эксплоер показывает ошибку и выбрасывает из интернета.
    У меня все распаковано, а руссификатор записан в нужное место, он же не в архиве, а отдельно.

  33. Lecactus 25 октября 2008 в 13:33

    @Наталья: все у меня работает. сам пользуюсь поиском ежедневно. проблема в эксплорере видать или в какой то добавки к нему конкретно на вашем компьютере. ФайрФокс или Оперу используйте :) и все же почитайте коменты. чудес ведь не бывает, я вам уже показывал это несколько раз когда у вас что то не работало

  34. Александр 2 января 2009 в 1:17

    Вышла новая версия форума, но скачать не удается… Lecactus, будете переводить? :)
    кстати есть идея поработать с CSS — сделать форум менее детским..

  35. Миха 5 января 2009 в 10:43

    А для Simple:Press forum 4.0.0 перевод не планируется в скором будущем?

  36. Lecactus 6 января 2009 в 2:27

    Миха, автор сказал мне что переводит(перевел уже) кто то другой. я давно начинал и так и забросил на середине. времени не было

  37. Александр 11 января 2009 в 0:04

    Миха, автор сказал мне что переводит(перевел уже) кто то другой. я давно начинал и так и забросил на середине. времени не было

    попробовал самостоятельно переводить… есть подозрение, что часть фраз берется из шаблонов а не из po и mo :(

  38. Lecactus 11 января 2009 в 0:07

    Александр, 99% берется из МО. из шаблонов почти ничего

  39. Анатолий 4 июля 2009 в 0:42

    Понимаю, что Кактусу наверно по-барабану уже этот форум, но все-таки спрошу.
    Скачал последнюю версию форума этого (4.0.4), залил, активировал. Вместо установки, пишет везде, что надо обновится с версии 2.1 до 4.0.4 (Сборка 1376). Когда то давно очень, стоял simple forum 2.1 Может где-то в базе что-то надо подтереть? Блин, прямо напасть какая-то. Кактус — SOS!!!

  40. Анатолий 4 июля 2009 в 1:27

    Дошел сам, в базе по запросу «sf» в wp_options куча было мусора от старой 2.1 Все удалил и сразу появилась установка!

  41. Дядя Вова 13 апреля 2010 в 7:58

    Перевод то хорошо, но для начала нужен сам плагин Simple: Press Forum V4.1 или меньшие версии. Проблема в том, что поисковики выдают сайты на которых ссылки на скачивание переадресовывают на страницу этого плагина. А на этой странице старых версий нет. Минимум 4.2.2. Скачивал, ставил, но он меня отпихивает и требует версию WP не менее 2.9, а у меня 2.8.6. Более новые версии этого плагина так вообще требуют версию 3.0 и выше.
    Ну не серьезно ради плагина менять движок.
    Может кто то сможет выложит для скачивания одну из старых версий Simple: Press Forum.

  42. Lecactus 13 апреля 2010 в 23:39

    Для Дяди Вовы:
    нашел в архивах своих: http://lecactus.ru/download/simplepressforum314.zip

  43. Дядя Вова 14 апреля 2010 в 12:10

    Большое спасибо!

  44. Сергей 25 июня 2010 в 21:47

    Так и перевод бы для него русский выложили а, плиззз 313-314